Bug 58093 - CStringBuffer should have thread safety checks turned on.
Summary: CStringBuffer should have thread safety checks turned on.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Template Framework (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: David Levin
URL:
Keywords:
Depends on: 31639
Blocks: 58174
  Show dependency treegraph
 
Reported: 2011-04-07 15:39 PDT by David Levin
Modified: 2011-08-04 17:55 PDT (History)
2 users (show)

See Also:


Attachments
Patch (2.68 KB, patch)
2011-08-04 16:51 PDT, David Levin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Levin 2011-04-07 15:39:00 PDT
This is awaiting a fix in chromium. Specifically http://code.google.com/p/chromium/issues/detail?id=78208
Comment 1 David Levin 2011-04-21 16:29:49 PDT
These checks will be turned on when the initial check in is done (since the chromium issue has been fixed).
Comment 2 David Levin 2011-04-25 12:30:33 PDT
This will remain for the moment.
Comment 3 David Levin 2011-08-01 17:54:24 PDT
Removed in the original patch now.
Comment 4 David Levin 2011-08-02 18:03:16 PDT
There were other problems in Chromium so this bug must remain open for now.
Comment 5 David Levin 2011-08-04 16:51:09 PDT
Created attachment 103005 [details]
Patch
Comment 6 WebKit Review Bot 2011-08-04 17:55:31 PDT
Comment on attachment 103005 [details]
Patch

Clearing flags on attachment: 103005

Committed r92437: <http://trac.webkit.org/changeset/92437>
Comment 7 WebKit Review Bot 2011-08-04 17:55:35 PDT
All reviewed patches have been landed.  Closing bug.